<?php
/*
*     Author: Ravinder Mann
*     Email: ravi@codiator.com
*     Web: http://www.codiator.com
*     Release: 1.4.*
*
* Please direct bug reports,suggestions or feedback to :
* http://www.codiator.com/contact/
*
* Real estate made easy is a commercial software. Any distribution is strictly prohibited.
*
*/ 
include("config.php"); 
include_once("functions.inc.php"); 
if($redefaultLanguage=="English") $lang=trim(getLanguageName(substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2)));
if(isset($_GET['lang'])) $_SESSION["custom_lang"]=$lang=trim($_GET['lang']);
if(isset($_SESSION["custom_lang"])) $lang=$_SESSION["custom_lang"];

if(trim($lang)!="" && ($redefaultLanguage!=$lang || $lang=="English")){
setLanguageSession($host,$database,$username,$password,$languageTable,$lang);
$relanguage_tags=$_SESSION["re_language"];
$readmin_settings['defaultlanguage']=$lang;
$_SESSION["readmin_settings"]["defaultlanguage"]=$lang;
}

if(isset($_GET['rtl'])) $_SESSION['rtl']=$_GET['rtl'];
if($rtl) $_SESSION['rtl']=true;

if(isThisMobile()) $fullScreenEnabled="false";

$ptype=trim($_GET["ptype"]);

$requerystring=$_POST['requerystring'];
if($ptype=="") $ptype=trim($_POST["ptype"]);
$ptype=htmlspecialchars($ptype, ENT_QUOTES, 'UTF-8');

if($ptype=="home" || $ptype=="viewMemberListing" || $ptype=="viewFullListing" || $ptype=="submitReListing" || $ptype=="addReListing" || $ptype=="editReListingForm"  || $ptype=="allMembers" || $ptype=="contactus" || $ptype=="updateReListing" || $ptype=="myprofile" || $ptype=="adminOptions"  || $ptype=="UpdateAdminOptions" || $ptype=="allMembers" || $ptype=="languagetags"  || $ptype=="updateLanguageTags" || $ptype=="categories" || $ptype=="pricerange" ||  $ptype=="updatePriceRange" || $ptype=="page")
$fullScreenEnabled="false";

if($ptype!="checklogin"){ 
 if(!isset($_SESSION["myusername"])){ 
		if($ptype=="submitReListing" || $ptype=="addReListing" || $ptype=="editReListingForm"  || $ptype=="updateReListingForm" || $ptype=="myprofile" || $ptype=="adminOptions"  || $ptype=="UpdateAdminOptions" || $ptype=="allMembers" || $ptype=="languagetags"  || $ptype=="updateLanguageTags" || $ptype=="pricerange" || $ptype=="updatePriceRange" || $ptype=="uploadcsv")	$ptype="";
	}
	
}

if(isset($_SESSION["showOnMap"])){
	$fullScreenEnabled="true";
}else{
	if($ptype=="showOnMap"){
		$_SESSION["showOnMap"]="true"; $fullScreenEnabled="true";
	}
}

if($ptype!="" && $ptype!="showOnMap"){
	$_SESSION["showOnMap"] = NULL;
	unset($_SESSION["showOnMap"]);
	$fullScreenEnabled="false";
}

$full_url_path = "http://" . $_SERVER['HTTP_HOST'] . preg_replace("#/[^/]*\.php$#simU", "/", $_SERVER["PHP_SELF"]);
$mem_id=$_SESSION["re_mem_id"];
$memtype=$_SESSION["memtype"];
$ip=$_SERVER["REMOTE_ADDR"];

$con=mysql_connect($host,$username,$password) or die("Could not connect. Please try again.");
mysql_select_db($database,$con);
mysql_query("SET NAMES utf8");
$priceqr="select * from $priceTable";
$priceResult=mysql_query($priceqr);
$priceRange=mysql_fetch_assoc($priceResult);
$rentPriceRange=explode(",",$priceRange['rent']);
$salePriceRange=explode(",",$priceRange['sale']);
$rentRangeSize=sizeof($rentPriceRange);
$saleRangeSize=sizeof($salePriceRange);

if($ptype=="viewFullListing"){ 
	$reid=htmlspecialchars(trim($_GET["reid"]), ENT_QUOTES, 'UTF-8');
	$region=htmlspecialchars(trim($_GET["region"]), ENT_QUOTES, 'UTF-8');
	if($region===""){
	$reid=$_GET['reid']; 
	$viewListingRow=getListingData($reid);
	}else{
		if($readmin_settings['oodleplugin']==1 && function_exists("getOodleArray")){
		$combArray=convertArrayToClFormat(getOodleArray("","",$reid,"",$region));
		$viewListingRow=$combArray[0];
		$viewListingRow['category']=ucfirst($viewListingRow['category']);
		}
	}
	if(empty($viewListingRow)){
		header("HTTP/1.1 301 Moved Permanently");
		header("Location: $full_url_path");
	}
	$browsertitle=$viewListingRow['classification']." - ".substr($viewListingRow['headline'],0,120)." - ".$viewListingRow['city'];
	$homepagedescription=htmlentities((substr($viewListingRow['description'],0,250)));
	$homepagekeywords=$viewListingRow['retype'].",".$viewListingRow['subtype'].",".$viewListingRow['city']." real estate";
}

if($ptype=="page" && htmlspecialchars($_GET['id'], ENT_QUOTES, 'UTF-8')!=""){
	$qrpg0="select * from $pageTable where id='".mysql_real_escape_string(htmlspecialchars($_GET['id'], ENT_QUOTES, 'UTF-8'))."';";
	$resultpg0=mysql_query($qrpg0);
	$page_info=mysql_fetch_assoc($resultpg0);
	$browsertitle=$page_info['page_name']." - ".$browsertitle;
	$homepagedescription=(substr(strip_tags(preg_replace( '/\s+/', ' ', $page_info['page_content'])),0,250));
	$homepagekeywords=$page_info['keywords'];
}

?>
<!DOCTYPE html>
<html>
<head>
<META http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="generator" content="Real Estate Made Simple" />
<?php if($ptype=="checklogin"){ ?><meta http-equiv="refresh" content="1;url=index.php?<?php print $requerystring; ?> "><?php } ?>
<?php if($ptype=="UpdateAdminOptions"){ ?><META HTTP-EQUIV=Refresh CONTENT="1 ; URL=index.php?ptype=adminOptions"> <?php } ?>
<title><?php print $browsertitle; ?></title>
<?php if(trim($homepagedescription)!=""){ ?>
<meta name="description" content="<?php print $homepagedescription; ?>">
<?php  } ?>
<?php if(trim($homepagekeywords)!=""){ ?>
<meta name="keywords" content="<?php print $homepagekeywords; ?>">
<?php  } ?>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<base href="<?php print $full_url_path; ?>" />
<?php if($ptype=="viewFullListing" || $ptype=="showOnMap" || $fullScreenEnabled=="true" || $ptype=="submitReListing" || $ptype=="editReListingForm" ){ ?>
<script src="http://maps.googleapis.com/maps/api/js?v=3&amp;sensor=false"></script>
<script language="JavaScript" src="http://www.geoplugin.net/javascript.gp" type="text/javascript"></script>
<?php } ?>

<script type="text/javascript" language="javascript" src="js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" language="javascript" src="js/jquery-ui-1.8.17.custom.min.js"></script>
<script type="text/javascript" src="js/jquery.multiselect.min.js"></script>
<?php if($ptype=="viewFullListing"){ ?><script type="text/javascript" src="js/jquery.lightbox-0.5.min.js"></script><?php  } ?>

<?php if($ptype=="viewFullListing" || $ptype=="showOnMap" || $fullScreenEnabled=="true" || $ptype=="submitReListing" || $ptype=="editReListingForm" ){ ?>
<script src="js/markerwithlabel_packed.js"></script>
<script src="js/markerclusterer_packed.js"></script>
<?php  } ?>

<script type="text/javascript" src="loadingImage.js"></script>
<script type="text/javascript" language="javascript" src="infoResults.js"></script>
<script type="text/javascript" language="javascript" src="js/reFunctions.js"></script>
<?php if($memtype==9 || $memtype==1) { ?>
<script type="text/javascript" language="javascript" src="js/ajaxupload.js"></script>
<?php } ?>

<?php if($memtype==9) { ?>
<script type="text/javascript" src="js/colorpicker.js"></script>
<script type="text/javascript" src="js/eye.js"></script>
<script type="text/javascript" src="js/utils.js"></script>
<script type="text/javascript" src="js/layout.js?ver=1.0.2"></script>
<script type="text/javascript" src="js/adminOptions.js"></script>
<?php } ?>
<script type="text/javascript" src="js/jquery.fancybox-1.3.4.pack.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>


<?php if($ptype=="addeditpage"){ ?>
<script type="text/javascript" src="tinymce/jscripts/tiny_mce/jquery.tinymce.js"></script>
<script type="text/javascript" src="js/jquery.tagsinput.js"></script>
<link rel="stylesheet" href="css/jquery.tagsinput.css" type="text/css" />
<?php  } ?>

<link href="css/style.css" rel="stylesheet" type="text/css" />

<?php if($fieldtheme==""){ ?>
<link rel="stylesheet" href="css/jquery-ui-1.8.17.custom.css" type="text/css" media="screen" />
<?php }else{ ?>
<link rel="stylesheet" href="css/themes/<?php print $fieldtheme; ?>/jquery.ui.all.css" type="text/css" media="screen" />
<?php } ?>
<link rel="stylesheet" media="screen" type="text/css" href="css/jquery.multiselect.css" />
<link rel="stylesheet" media="screen" type="text/css" href="css/font-awesome.min.css" />

<?php if($ptype=="viewFullListing"){ ?><link rel="stylesheet" type="text/css" href="css/jquery.lightbox-0.5.css" media="screen" /><?php } ?>
 
<?php if($webtheme==""){ ?>
<link rel="stylesheet" media="screen" type="text/css" href="css/bootstrap.css" />
<?php }else{ ?>
<link rel="stylesheet" media="screen" type="text/css" href="css/<?php print $webtheme; ?>/bootstrap.css" />
<?php } ?>
<link rel="stylesheet" media="screen" type="text/css" href="css/bootstrap-responsive.css" />
<?php if($memtype==9) { ?><link rel="stylesheet" media="screen" type="text/css" href="css/colorpicker.css" /><?php } ?>
<link rel="stylesheet" href="css/jquery.fancybox-1.3.4.css" type="text/css" media="screen" />
<?php if((isset($_SESSION["readmin_settings"]) && $_SESSION["recustom_settings"]==1) || $fullScreenEnabled=="true"){ ?>
<link href="css/custom_style.php?ptype=<?php print $ptype; ?>&amp;fullscreen=<?php print $_GET["fullscreen"]; ?>&amp;fs=<?php print $fullScreenEnabled; ?>" rel="stylesheet" type="text/css" />
<?php } ?>
<?php  
if($_SESSION["rtl"]){ ?>
<link href="css/rtl_style.php?ptype=<?php print $ptype; ?>&amp;fullscreen=<?php print $_GET["fullscreen"]; ?>&amp;fs=<?php print $fullScreenEnabled; ?>" 
rel="stylesheet" type="text/css" />
<style> body {direction: rtl;}</style>
<?php } ?>

<script type="text/javascript">
$(function(){
    var isIE8 = $.browser.msie && +$.browser.version === 8;
    var isIE7 = $.browser.msie  && parseInt($.browser.version, 10) === 7;
     if (isIE7 || isIE8){
     $('.container').removeClass('container').addClass('container-fluid');
     $('.row').removeClass('row').addClass('row-fluid');
     } 
	<?php if($fixedtopheader=="yes"){ ?>
	 var topbarHeight=$('.navbar').height();
	 $('#sidebar').css('margin-top',topbarHeight+'px');
	 $('#mainContent').css('margin-top',topbarHeight+'px');
	<?php }else{ ?>
	 $('#sidebar').css('margin-top','0px');
	 $('#mainContent').css('margin-top','0px');
	<?php } 
	$reQuery=htmlspecialchars(trim($_GET['requery']), ENT_QUOTES, 'UTF-8');
    $reCity=htmlspecialchars(trim($_GET['city']), ENT_QUOTES, 'UTF-8');
	?>
	<?php if(($ptype=="" || $ptype=="home") && $fullScreenEnabled!="true"){ 
	if($_SESSION["reClassification"]!="") $homeClassification=$_SESSION["reClassification"]; else $homeClassification=__("Any");
	if($_SESSION["reType"]!="") $homeType=$_SESSION["reType"]; else $homeType=__("Any");
	if($_SESSION["reSubtype"]!="") $homeSubtype=$_SESSION["reSubtype"]; else $homeSubtype=__("Any");
	if($_SESSION["reBedrooms"]!="") $homeBedrooms=$_SESSION["reBedrooms"]; else $homeBedrooms=__("Any");
	if($_SESSION["reBathrooms"]!="") $homeBathrooms=$_SESSION["reBathrooms"]; else $homeBathrooms=__("Any");
	if($_SESSION["rePrice"]!="") $homePrice=$_SESSION["rePrice"]; else $homePrice=10;
    if($reQuery==""){ if($_SESSION["reQuery"]!="") $homeQuery=$_SESSION["reQuery"]; else $homeQuery="";} else{ $homeQuery=$reQuery; }
    if($reCity==""){ if($_SESSION["reCity"]!="") $homeCity=$_SESSION["reCity"]; else $homeCity="";} else{ $homeCity=$reCity; }
		
	?>
	$('#reResults').html("<p align='center'><br /><br /><br /><img src='images/loading1.gif' /></p>");
	var allData='<?php print $homeClassification.":".$homeType.":".$homeSubtype.":".$homeBedrooms.":".$homeBathrooms.":".$homePrice.":".$homeQuery.":".$homeCity;?>';	 $.ajax({ type: 'GET', url: 'infoResults.php', data:{q:allData, type:1}, success: function(data){ $('#reResults').html(data); }});
	<?php } ?>
	<?php if($ptype=="viewMemberListing"){ ?>
	$('#reResults').html("<p align='center'><br /><br /><br /><img src='images/loading1.gif' /></p>");    
var allData='<?php print $relanguage_tags["Any"].":".$relanguage_tags["Any"].":".$relanguage_tags["Any"].":".$relanguage_tags["Any"].":".$relanguage_tags["Any"];?>:10:'; $.ajax({ type: 'GET', url: 'infoResults.php', data:{q:allData, type:7}, success: function(data){ $('#reResults').html(data); }});
	<?php }  ?>
	<?php if($ptype=="viewFullListing"){ 
	$allData=$_SESSION["reClassification"].":".$_SESSION["reType"].":".$_SESSION["reSubtype"].":".$_SESSION["reBedrooms"].":".$_SESSION["reBathrooms"].":".$_SESSION["rePrice"].":".$_SESSION["reQuery"].":".$_SESSION["reCity"];
		?>
	$.ajax({ type: 'GET', url: 'infoResults.php', data:{q:'<?php print $allData; ?>', type:1}, success: function(data){ $('#reResults2').html(data); }});
	<?php }  ?>

	<?php if($ptype=="viewFullListing"){ ?>
	$("#listingImage a").lightBox();
	<?php } ?>
	
	$('#listingButtons span,span.alreadySeen,#listingAllowedThings div,#hidebar,#showbar, #pageorder, #pagename, .action_icon img').tooltip({ 
		placement:'bottom',
		delay: { show: 500, hide: 100 }
	});
	$("#reTextSearch").click(function(){
	$("#sfpType").val("home");
	});

	$('.nav .favli').click(function(event){
	    event.preventDefault(); 
		$('.nav li').removeClass("active");
		$(this).addClass("active");
		$('#reResults').html("<p align='center'><br /><br /><br /><img src='images/loading1.gif' /></p>");
		$.ajax({ type: 'GET', url: 'infoResults.php', data:{q:'<?php print $relanguage_tags["Any"].":".$relanguage_tags["Any"]; ?>:10:', type:24}, success: function(data){ $('#reResults').html(data); }});
		
	});

	<?php if(isset($_SESSION["marked_reid"])){ ?>
	 $('.nav .favli').css('display','block');
	<?php } ?>	
	
	$("#mainContent").on("click", "#listingImages span", function(event) {    
	event.preventDefault(); 
	var img = new Image();
	$("#image_cell").html("<div style='width:100%; text-align:center; padding-top:25%;'><img src='images/loader_light_blue.gif' /></div>");
	var icon_id=($(this).attr('id')).split('-');
	img.onload = function(){
	$("#image_cell").html("<div id='listingImage'><a data-fancybox-group='listgallery' href='"+$("#bimage-"+icon_id[1]).html()+"' ><img src='"+$("#bimage-"+icon_id[1]).html()+"' width='100%' /></a></div>");
	}
	img.src = $("#bimage-"+icon_id[1]).html();
	});
	
	$("#mainContent").on("click", "#listingImage a", function(event) {
		event.preventDefault();
	    $(this).filter(':not(.fb)').fancybox({
	    	'transitionIn'	:	'elastic',
	    	'transitionOut'	:	'elastic',
	    	'speedIn'		:	600, 
	    	'speedOut'		:	200, 
	    	'overlayShow'	:	false,
			'showNavArrows' : false,
			'scrolling' : 'no',
			'type' : 'image'
	    }).addClass('fb');
	    $(this).triggerHandler('click');
	 });

	$("#mainContent").on("click", "a.listingcontact", function(event) {
		event.preventDefault();
	    $(this).filter(':not(.fb)').fancybox({
	    	'transitionIn'	:	'elastic',
	    	'transitionOut'	:	'elastic',
	    	'speedIn'		:	600, 
	    	'speedOut'		:	200, 
	    	'width' : 600,
			'height' : 500,
	    	'type' : 'iframe',
	    	'overlayShow'	:	false,
			'showNavArrows' : false,
			'scrolling' : 'no'
	    }).addClass('fb');
	    $(this).triggerHandler('click');
	 });

	$("#mainContent").on("click", ".listingSmallImage a, .mapInfoPic a", function(event) {
		event.preventDefault();
	    $(this).filter(':not(.fb)').fancybox({
	    	'transitionIn'	:	'elastic',
			'transitionOut'	:	'elastic',
			'speedIn'		:	600, 
			'speedOut'		:	200, 
			'type' : 'iframe',
			'width' : 680,
			'height' : 750,
			'overlayShow'	:	false,
			'scrolling' : 'no'
	    }).addClass('fb');
	    $(this).triggerHandler('click');
	 });
	 
   
    $('#reSearch').click(function(){
    	$('#mapOverlayDiv input').css('display','none');
		var reClassification="";
		var reType="";
		var reSubtype="";
		var reBedrooms="";
		var reBathrooms="";
		var rePrice="";
		var delim=",";
		 $("#reClassification :selected").each(function(i, selected){ 
			 if(reClassification=="") delim=""; else delim=",";
			 reClassification = reClassification+delim+$(selected).val(); 
		});
		 $("#reType :selected").each(function(i, selected){ 
			 if(reType=="") delim=""; else delim=",";
			 reType = reType+delim+$(selected).val(); 
		}); 
		 if(reType=="<?php print __("Any"); ?>"){ 
			 $("#reSubtype :selected").each(function(i, selected){ 
				 if(reSubtype=="") delim=""; else delim=",";
				 reSubtype = reSubtype+delim+$(selected).val();
			});		
		}	
		if(reType=="<?php print __("Residential"); ?>"){ 
		 $("#reSubtypeResidential :selected").each(function(i, selected){ 
			 if(reSubtype=="") delim=""; else delim=",";
			 reSubtype = reSubtype+delim+$(selected).val();
		});		
		}
		if(reType=="<?php print __("Commercial"); ?>"){ 
			 $("#reSubtypeCommercial :selected").each(function(i, selected){ 
				 if(reSubtype=="") delim=""; else delim=",";
				 reSubtype = reSubtype+delim+$(selected).val();
			});		
		}
		 $("#reBedrooms :selected").each(function(i, selected){ 
			 if(reBedrooms=="") delim=""; else delim=",";
			 reBedrooms = reBedrooms+delim+$(selected).val(); 
		});	
		 $("#reBathrooms :selected").each(function(i, selected){ 
			 if(reBathrooms=="") delim=""; else delim=",";
			 reBathrooms = reBathrooms+delim+$(selected).val(); 
		});	
		 $("#rePrice :selected").each(function(i, selected){ 
			 if(rePrice=="") delim=""; else delim=",";
			 rePrice = rePrice+delim+$(selected).val();
		});			

		 $('.nav li').removeClass("active");
		 $('.first_item').addClass("active");
		 var reQuery=$('input#reQuery').val();
		 var reCity=$('input#reCity').val();
		 var allData=reClassification+":"+reType+":"+reSubtype+":"+reBedrooms+":"+reBathrooms+":"+rePrice+":"+reQuery+":"+reCity; 
		  $('#reResults').html("<p align='center'><br /><br /><br /><img src='images/loading1.gif' /></p>");
		 <?php if($ptype=="" || $ptype=="home" || $ptype=="viewFullListing"  || $ptype=="showOnMap"  || $ptype=="adminOptions" || $ptype=="UpdateAdminOptions" || $ptype=="allMembers" || $ptype=="contactus" || $ptype=="page" || $ptype=="languagetags" || $ptype=="updateLanguageTags"){ ?>
		 $.ajax({ type: 'GET', url: 'infoResults.php', data:{q:allData, type:1}, success: function(data){ $('#reResults').html(data); }});
		 <?php } if($ptype=="viewMemberListing"){ ?>
		 $.ajax({ type: 'GET', url: 'infoResults.php', data:{q:allData, type:7}, success: function(data){ $('#reResults').html(data); }});
		 <?php } ?>
	 });    

   $(".pagination li, .hsorting").live("click","a",function(event){ 
    event.preventDefault();
    var qData=$("span", this).html(); 
    var allData=qData.split("-@@-");
    console.log('allData: '+allData[0]+", "+allData[1]);
    $('#reResults').html("<p align='center'><br /><br /><br /><img src='images/loading1.gif' /></p>");  
    $.ajax({ type: 'GET', url: 'infoResults.php', data:{q:allData[0], type:allData[1]}, success: function(data){ $('#reResults').html(data); }});
   });
    
    $(document).on("change", "#reListingsPerPage1, #reListingsPerPage2", function(){
        var qData=this.value; 
        var allData=qData.split("-@@-");
        $('#reResults').html("<p align='center'><br /><br /><br /><img src='images/loading1.gif' /></p>"); 
         $.ajax({ type: 'GET', url: 'infoResults.php', data:{q:allData[0], type:allData[1]}, success: function(data){ $('#reResults').html(data); }});
    });    

    <?php if($ptype=="viewFullListing" || $ptype=="showOnMap"  || $fullScreenEnabled=="true"){ ?>
    var remap = $("#mapResults");
	<?php } ?>

	<?php if($ptype=="viewFullListing"){ ?>
	$("#closeMapListing").css('display','none');
	<?php  }else{ ?>
	$("#closeMapListing").css('display','block');
	<?php  } ?>
	
	$("#mapResults").click(function(){
		$("#theListing").hide("slow");
	});
	 
	$(document).on('click', '#closeMapListing img', function() { $("#theListing").hide("slow"); });

	$(document).keydown(function(e) { if (e.keyCode == 27) $("#theListing").hide("slow"); });
	
	$('#addNewTag').click(function(){
		var newKeyword=$.trim($('input#newtag').val());
		var newTranslation=$.trim($('input#newtranslation').val());
		if(newKeyword.length<=0 || newTranslation.length<=0){
		alert("Please specify keyword in English and the translation in <?php print $redefaultLanguage; ?>.");
			return false;
		}else{
		infoResults(newKeyword+':::'+newTranslation+':::'+'<?php print $redefaultLanguage; ?>',22,'addTagStatus');
		}
	});
	
    $("#reSubtype").multiselect({
		selectedText: function(numChecked, numTotal, checkedItems){
			var selectedValues = new Array();
			for (var i = 0; i < checkedItems.length; i++) {
				selectedValues[i]=checkedItems[i].value;
			}
		      return "<?php print $relanguage_tags["Style"];?>: " + selectedValues.join(", ");
		   },				
		height:'350',
		checkAllText:'<?php print __("Check all"); ?>',
		uncheckAllText:'<?php print __("Uncheck all"); ?>'
		}); 
  $("#reSubtypeResidential").multiselect({
		selectedText: function(numChecked, numTotal, checkedItems){
			var selectedValues = new Array();
			for (var i = 0; i < checkedItems.length; i++) {
				selectedValues[i]=checkedItems[i].value;
			}
		      return "<?php print $relanguage_tags["Style"];?>: " + selectedValues.join(", ");
		   },
		height:'350',
		checkAllText:'<?php print __("Check all"); ?>',
		uncheckAllText:'<?php print __("Uncheck all"); ?>'
		
	});
	$("#reSubtypeCommercial").multiselect({
		selectedText: function(numChecked, numTotal, checkedItems){
			var selectedValues = new Array();
			for (var i = 0; i < checkedItems.length; i++) {
				selectedValues[i]=checkedItems[i].value;
			}
		      return "<?php print $relanguage_tags["Style"];?>: " + selectedValues.join(", ");
		   },
		height:'350',
		checkAllText:'<?php print __("Check all"); ?>',
		uncheckAllText:'<?php print __("Uncheck all"); ?>'
		
	});  
	
    $("#reClassification").multiselect({
		selectedText: function(numChecked, numTotal, checkedItems){
			var selectedValues = new Array();
			for (var i = 0; i < checkedItems.length; i++) {
				selectedValues[i]=checkedItems[i].value;
			}
		      return "<?php print $relanguage_tags["Classification"];?>: " + selectedValues.join(", ");
		   },
		   checkAllText:'<?php print __("Check all"); ?>',
		   uncheckAllText:'<?php print __("Uncheck all"); ?>',
		   multiple:false
		}); 
     
	$("#reType").multiselect({
				selectedText: function(numChecked, numTotal, checkedItems){
					var selectedValues = new Array();
					for (var i = 0; i < checkedItems.length; i++) {
						selectedValues[i]=checkedItems[i].value;
					}
				      return "<?php print $relanguage_tags["Type"];?>: " + selectedValues.join(", ");
				   },
				multiple:false,
				height:'auto',
				checkAllText:'<?php print __("Check all"); ?>',
				uncheckAllText:'<?php print __("Uncheck all"); ?>'
				
	}); 

	$("#reBedrooms").multiselect({
		selectedText: function(numChecked, numTotal, checkedItems){
			var selectedValues = new Array();
			for (var i = 0; i < checkedItems.length; i++) {
				if(checkedItems[i].value=="1den") checkedItems[i].value="<?php print __("1 + Den"); ?>";
				if(checkedItems[i].value=="2den") checkedItems[i].value="<?php print __("2 + Den"); ?>";
				selectedValues[i]=checkedItems[i].value;
			}
		      return "<?php print $relanguage_tags["Bedroom"];?>: " + selectedValues.join(", ");
		   },
		height:'auto',
		checkAllText:'<?php print __("Check all"); ?>',
		uncheckAllText:'<?php print __("Uncheck all"); ?>'
	});

	$("#reBathrooms").multiselect({
		selectedText: function(numChecked, numTotal, checkedItems){
			var selectedValues = new Array();
			for (var i = 0; i < checkedItems.length; i++) {
				selectedValues[i]=checkedItems[i].value;
			}
		      return "<?php print $relanguage_tags["Bathroom"];?>: " + selectedValues.join(", ");
		   },
		height:'auto',
		checkAllText:'<?php print __("Check all"); ?>',
		uncheckAllText:'<?php print __("Uncheck all"); ?>'
	});

	$("#rePrice").multiselect({
		selectedText: function(numChecked, numTotal, checkedItems){
			var selectedValues = new Array();
			for (var i = 0; i < checkedItems.length; i++) {
				if(checkedItems[i].value==10) checkedItems[i].value="<?php print __("Any"); ?>";
				selectedValues[i]=checkedItems[i].value;
			}
		      return "<?php print $relanguage_tags["Price"];?>: " + selectedValues.join(", ");
		   },
		height:'auto',
		multiple:false,
		checkAllText:'<?php print __("Check all"); ?>',
		uncheckAllText:'<?php print __("Uncheck all"); ?>'		
	});
	
	var currentType=new Array();
	<?php 
	$reType=htmlspecialchars($_POST['retype'][0], ENT_QUOTES, 'UTF-8');
	if($reType=="") $reType=$_SESSION["reType"]; 
	?>
	var testing="<?php print $_POST['retype'][0]; ?>";
	currentType[0]="<?php print $reType; ?>";
	checkSelections(currentType);	
	
	$('#reType').change(function(){
		 
		var reClassification=[];
		var reType=[];
		
		$("#reClassification :selected").each(function(i, selected){ 
			 reClassification[i] = $(selected).val(); 
		});

		$("#reType :selected").each(function(i, selected){ 
			 reType[i] = $(selected).val(); 
		});
		 
	     var isSubmitListingForm=$('input#isSubmitListingForm').val();
	     checkSelections(reType);	     
		 	
		   if(isSubmitListingForm==1){
	    	 if($.inArray("<?php print $relanguage_tags["Commercial"];?>",reType)>=0){
	    	 $('.nonCommercial').css('display', 'none');
	    	 }
	    	 if($.inArray("<?php print $relanguage_tags["Residential"];?>",reType)>=0){
		     $('.nonResidential').css('display', 'none');
	    	 }
	        }
	    
	 });

	function checkSelections(reType){
		if($.inArray("<?php print $relanguage_tags["Any"];?>",reType)>=0){ 
	 		 $("div.allStyle").css('display','block');
	 		 $("#reSubtypeResidential").multiselect("uncheckAll");
	 		 $("#reSubtypeCommercial").multiselect("uncheckAll");
	 		 $("div.onlyCommercial").hide();
	    	 $("div.onlyResidential").hide();
	    	 $('.nonCommercial').css('display', 'block');
	    	  
	 	}else if($.inArray("<?php print $relanguage_tags["Residential"];?>",reType)>=0 && $.inArray("<?php print $relanguage_tags["Commercial"];?>",reType)>=0){
	 		 $("div.allStyle").css('display','block');
	 		 $("#reSubtypeResidential").multiselect("uncheckAll");
	 		 $("#reSubtypeCommercial").multiselect("uncheckAll");
	 		 $("div.onlyCommercial").hide();
	    	 $("div.onlyResidential").hide();
	    	 $('.nonCommercial').css('display', 'block');
	    
		 }else if($.inArray("<?php print $relanguage_tags["Residential"];?>",reType)>=0){ 
			  $("#reSubtype").multiselect("uncheckAll");
	       	  $("div.allStyle").hide();
	       	  $("#reSubtypeCommercial").multiselect("uncheckAll");
	       	  $("div.onlyCommercial").hide();
	    	  $("div.onlyResidential").css('display','block');
	    	  $('.nonCommercial').css('display', 'block');
	    	 		    	  
	    }else if($.inArray("<?php print $relanguage_tags["Commercial"];?>",reType)>=0){ 
		      $("div.onlyCommercial").css('display','block');
		      $("#reSubtype").multiselect("uncheckAll");
	    	  $("div.allStyle").hide();
	    	  $("#reSubtypeResidential").multiselect("uncheckAll");
	    	  $("div.onlyResidential").hide();
	    	  $('.nonCommercial').css('display', 'none');
		 
		 }
		
	}
	
	 $('#reType2').change(function(){
	 var reType2=$('#reType2').val();
	 if(reType2=="<?php print "Commercial";?>"){ $('.nonCommercial').css('display', 'none'); 
	 $('.commercialopt').css('display', 'block'); $('.residentialopt').css('display', 'none');
	 } 
	 if(reType2=="<?php print "Residential";?>"){ $('.nonCommercial').css('display', 'block'); 
	 $('.commercialopt').css('display', 'none');  $('.residentialopt').css('display', 'block');
	 }
	 });

	 $('#reSubtype2').change(function(){
		 var reType2=$('#reType2').val();
		 var reSubtype2=$('#reSubtype2').val();
		 if(reSubtype2=="<?php print "Land"; ?>" && reType2=="<?php print "Residential"; ?>"){ $('.nonCommercial').css('display', 'none'); }
		 else{ $('.nonCommercial').css('display', 'block'); }
		 if(reType2=="<?php print "Commercial"; ?>") $('.nonCommercial').css('display', 'none');
	 });
	 
    $('#loginButton').click(function(){
	   var reusername=$.trim($('input#reusername').val());
	   var repassword=$.trim($('input#repassword').val());
	   var errorMessage="<?php print $relanguage_tags["Please enter your"];?>: ";
	   var errorCode=0;
	   if(reusername.length<=0){
		    errorMessage=errorMessage+"<?php print $relanguage_tags["Username"];?>";
		    errorCode=1;
	   }
	   if(repassword.length<=0){
		   if(errorCode==1) var errorMessage=errorMessage+" <?php print $relanguage_tags["and"];?> ";
		    errorMessage=errorMessage+"<?php print $relanguage_tags["Password"];?>";
		    errorCode=1;
	   }
	   if(errorCode==1){
		    alert(errorMessage);
		    return false;
	   } 
   });
   
   $('#registerButton').click(function(){
	   var reusername=$('input#reusername').val();
	   var repassword=$('input#repassword').val();
	   var allData=reusername+":"+repassword;
	   $.ajax({ type: 'GET', url: 'infoResults.php', data:{q:allData, type:2}, success: function(data){
          $('#sidebarLogin').html(data); 
          $("#mapResults").trigger("resize");
          }
       });
	});

	$('#forgotPasswordLink').click(function(){
		infoResults('forgotPassword',9,'sidebarLogin');
	});
	
    <?php include("js/v3map.php"); ?>

	$('#reprofilesubmit').click(function(){
		var repassword=$.trim($('input#repassword').val());
		if(repassword.length<6){
			alert("<?php print $relanguage_tags["Please make sure that password is of atleast 6 digits"];?>."); 
			return false;
		}else{
			return true;
		}
	});

	$('#reprofileimage').click(function(){
	var reprofileimage=$("input[@name=reprofileimage]:checked").val();
	infoResults(reprofileimage,6,'listingProfileImage');
	});

	$('#reprofileimage2').click(function(){
		var reprofileimage=$("input[@name=reprofileimage]:checked").val();
		infoResults('no',6,'listingProfileImage');
	});
    
    $("#sidebar").on("mouseenter",function(){
    <?php if($readmin_settings['searchformcolor']==""){  ?>    
    $("#sidebar1").css("background-color","#fff"); 
    <?php } ?> 
    <?php if($readmin_settings['menuboxcolor']==""){  ?>
    $("#sidebarLogin").css("background-color","#fff"); 
    <?php } ?>
    }).on("mouseleave",function(){
    $("#sidebar1").css("background-image","url('images/sidebg1.png')");  
    $("#sidebarLogin").css("background-image","url('images/sidebg1.png')");  
    <?php if($readmin_settings['searchformcolor']==""){  ?> 
    $("#sidebar1").css("background-color","transparent");  
    <?php } ?> 
    <?php if($readmin_settings['menuboxcolor']==""){  ?>
    $("#sidebarLogin").css("background-color","transparent");
    <?php } ?> 
    });
    
	$('#reAddListingButton').click(function(){
		var reClassification=$.trim($('select#reClassification2').val());
		var reType=$.trim($('select#reType2').val());
		var reSubtype=$.trim($('select#reSubtype2').val());
		var reBedrooms=$.trim($('select#reBedrooms2').val());
		var reBathrooms=$.trim($('select#reBathrooms2').val());
		var recity=$.trim($('input#recity').val());
		var restate=$.trim($('input#restate').val());
		var reheadline=$.trim($('input#reheadline').val());
		var redescription=$.trim($('#redescription').val());
		var rename=$.trim($('input#rename').val());
		var reemail=$.trim($('input#reemail').val());
		var isSubmitListingForm=$('input#isSubmitListingForm').val();
		var errorMessage="<?php print $relanguage_tags["Please specify"];?>: ";
		var startErrorLen=errorMessage.length;
		var errorCode=0;

		if(reClassification.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Classification"];?>";
		if(reType.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Type"];?>";
		if(reSubtype.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Style"];?>";
		
	    if(reType!="Commercial" && reSubtype!="<?php print "Land"; ?>"){ 
		 if(reBedrooms.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Bedroom"];?>";
		 if(reBathrooms.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Bathroom"];?>";
	     }
		if(recity.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["City"];?>";
		<?php if($headlinelength > 0){ ?>
        if(reheadline.length<=<?php print $headlinelength; ?>) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Headline"];?> (<?php print $headlinelength; ?> <?php print $relanguage_tags["characters"];?>)";
        <?php } ?>
        <?php if($descriptionlength > 0){ ?>
        if(redescription.length<=<?php print $descriptionlength; ?>) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Description"];?> (<?php print $relanguage_tags["atleast"];?> <?php print $descriptionlength; ?> <?php print $relanguage_tags["characters"];?>)";
        <?php } ?>
		if(rename.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Name"];?>";
		if(reemail.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Email"];?>";
		else{
			if (echeck(reemail)==false) return false;			 
		}

		var endErrorLen=errorMessage.length;
		if(startErrorLen<endErrorLen){
		    alert(errorMessage);
		    return false;
	   }else{
			return true;
		   }
	});

	$('#resmtpAuth').change(function(){
	var resmtpAuth=$('select#resmtpAuth').val();
	if(resmtpAuth=="gmail"){
	$('input#resmtp').val("smtp.gmail.com");
	$('input#resmtpPort').val("587");
	$('#emailusername').html("Gmail/Apps Email");
	$('#emailpassword').html("Gmail/Apps Password");
	}else{
		$('input#resmtp').val("");
		$('input#resmtpPort').val("");
		$('#emailusername').html("Username");
		$('#emailpassword').html("Password");
	}
	});

	$('#visitor_submit').click(function(){
		var visitor_name=$.trim($('input#visitor_name').val());	
		var visitor_email=$.trim($('input#visitor_email').val());
		var visitor_message=$.trim($('#visitor_message').val());
		var errorMessage="<?php print $relanguage_tags["Please specify"];?>: ";
		var errorMessageprevLen=errorMessage.length;
		if(visitor_name.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Name"];?>";
		if(visitor_email.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Email"];?>";
		if(visitor_message.length<=0) errorMessage=errorMessage+"\n<?php print $relanguage_tags["Message"];?>";

		if(errorMessage.length>errorMessageprevLen){
		    alert(errorMessage);
		    return false;
		}else{
			return true;
		   }
		});
	$('#listingNormal').click(function(){
		$('#listingStatus').css('display','inline');
	$('#listingStatus').html("Listing will be removed automatically after some days as defined in admin options.");
	});

	$('#listingPermanent').click(function(){
		$('#listingStatus').css('display','inline');
		$('#listingStatus').html("Listing will never expire.");
	});

	var ppcurrency=$('select#ppcurrency').val();
    $('#ppdefaultcurrency').html(ppcurrency);
    
	$('#ppcurrency').change(function(){
    var ppcurrency=$('select#ppcurrency').val();
    $('#ppdefaultcurrency').html(ppcurrency);
	});
	
	$('.refileup').click(function(){
    	var fileid=$(this).attr('id');
		var filenum = fileid.split("-");
		var filenumprev=filenum[1]-1;
		var reMaxPictures=<?php print $reMaxPictures; ?>;
		var errorst;
		var fieldothers;
		if(filenumprev >= 0){
		for(var i=0;i<=filenumprev;i++){
		fieldothers=$.trim($('#reimg'+i).html());
		if(fieldothers.search("<?php print $relanguage_tags["File Uploading Please Wait"]; ?>")>=0 || fieldothers=="")
			errorst=1;
		}
		}
		if(errorst==1){
		alert("<?php print $relanguage_tags["Please upload previous files first"];?>");
		return false;
			}else return true;
		
	});

	$('#rewebTheme').change(function() {
		  var webtheme = $(this).find(":selected").val();
		  $(".webscreen").html("<img src='css/"+webtheme+"/screen.jpg' />");
		});
	
<?php if($isThisDemo=="yes"){ ?>
	$('.deletepiclink').click(function(){
	alert("Picture deletion has been disabled in demo.");
	return false;
	});

	$('#updateAdminOptionsButton').click(function(){
		alert("Updating admin options has been disabled in demo.");
		return false;
		});
	
	$('#reprofilesubmit').click(function(){
		alert("Updating profile has been disabled in demo.");
		return false;
		});
	$('#languageUpdateButton').click(function(){
			alert("Updating language tags has been disabled in demo.");
			return false;
	});	
	$('#updatePriceRange1,#updatePriceRange2').click(function(){
		alert("Updating price range has been disabled in demo.");
		return false;
	});		
<?php } ?>

<?php if($ptype=="addeditpage"){ ?>
$('textarea.tinymce1').tinymce({
	script_url : 'tinymce/jscripts/tiny_mce/tiny_mce.js',
	theme : "advanced",
	plugins : "autolink,lists,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,advlist",
	theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,fontselect,fontsizeselect",
	theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
	theme_advanced_buttons3 : "tablecontrols,|,hr,|,sub,sup,|,charmap,emotions,fullscreen",
	theme_advanced_toolbar_location : "top",
	theme_advanced_toolbar_align : "left",
	theme_advanced_statusbar_location : "bottom",
	theme_advanced_resizing : true,
	content_css : "css/style.css",
});

$('#keywords').tagsInput();

<?php  } ?>

});

<?php if(($ptype=="showOnMap" && $_GET['fullscreen']=="true") || $fullScreenEnabled=="true"){ ?>
$(window).resize(function () {
    var h = $(window).height();
    var w = $(window).width();
    var topbarHeight=$('.navbar').height();
        offsetTop = 10;
       $('#mapResults').css('height', (h - offsetTop));
       $('#mapResults').css('width', w);
       if( $('.navbar').is(':visible') ) { 
    	   $('#sidebar').css('margin-top',topbarHeight+'px');
    	   $('#mapResults').css('margin-top',topbarHeight+'px');
    	   }
       $('#mapResults').css('height',$(document).height()+'px'); 
       $('#mapResults').css('width',$(document).width()+'px'); 
       $('#theListing').css('height', h);
       $('#theListing').css('width', w/2);
              
}).resize();

<?php } ?>

<?php include("reFunctions.php"); ?>
function silentErrorHandler() {return true;}
window.onerror=silentErrorHandler;

</script>
	
</head>

<body>
 <div class="navbar <?php if($fixedtopheader=="yes") print "navbar-fixed-top"; ?>">
	<div class="navbar-inner">
	<?php $brandShown=false; if(($ptype=="showOnMap" && $_GET['fullscreen']=="true") || $fullScreenEnabled=="true"){ 
		if(trim($readmin_settings['websitelogo'])!=""){ ?>
		<div class='container1'><div id='logo'><a style="margin-left:5px;" href="<?php print $full_url_path; ?>"><img src='uploads/<?php print $readmin_settings['websitelogo']; ?>' alt='<?php print $reSiteName; ?>' /></a></div>
		<?php }else{ ?>
	    <a class="brand" style="margin-left:5px;" href="<?php print $full_url_path; ?>"><?php print $reSiteName; ?></a>
	<?php  } $brandShown=true; } ?>
	<div class="menuside pull-right"><ul class="nav pull-right"><li><a href="rss.php"><img border="0" src="images/rss.png" alt='rss'></a></li>
	<?php 
    if($isThisDemo=="yes"){
    if(!$_SESSION['rtl']){ ?><li><a href="?ptype=<?php print $ptype; ?>&rtl=1&lang=hebrew" class="label">RTL</a></li><?php }
    else{ ?><li><a href="?ptype=<?php print $ptype; ?>&rtl=0&lang=english" class="label label-important">LTR</a></li><?php } 
    }
    ?>
	</ul></div>
	<?php if(!$brandShown){ ?><div class="container"> <?php  } ?>
	<button class="btn btn-navbar" data-target=".nav-collapse" data-toggle="collapse" type="button">
	<span class="icon-bar"></span>
	<span class="icon-bar"></span>
	<span class="icon-bar"></span>
	</button>
	<?php if(!$brandShown){ 
		   if(trim($readmin_settings['websitelogo'])!=""){ ?>
		   <div id='logo'><a href="<?php print $full_url_path; ?>"><img src='uploads/<?php print $readmin_settings['websitelogo']; ?>' alt='<?php print $reSiteName; ?>' /></a></div>
		   <?php }else{ ?>
	       <a class="brand" href="<?php print $full_url_path; ?>"><?php print $reSiteName; ?></a> 
	<?php } } ?>
	<?php  if(trim($toplinkad)!=""){ ?>
   <div style="float:left; margin:10px auto 0 40px;" id="top_ad_menu"><?php print $toplinkad; ?></div>
    <?php } ?>
    
    <div class="nav-collapse pull-right">
    <ul class="nav">
    <li class='first_item <?php if($ptype=="" || $ptype=="home") print "active"; ?>'><a href='index.php'><?php print $relanguage_tags["Home"];?></a></li>
  
    <?php 
    $qrpg="select id, page_name from $pageTable order by page_order asc;";
    $resultpg=mysql_query($qrpg);
    while($apage=mysql_fetch_assoc($resultpg)){
    ?>
    <li <?php if(htmlspecialchars($_GET['id'], ENT_QUOTES, 'UTF-8')== $apage['id']) print " class='active' "; ?>><a href='index.php?ptype=page&amp;id=<?php print $apage['id']; ?>'><?php print $apage['page_name'];?></a></li>
    <?php } ?>
    <li class='favli' id='favli' style="display:none;"><a href='#'><?php print __("Favorite");?></a></li>
    <li <?php if($ptype=="contactus") print " class='active' "; ?>><a href='index.php?ptype=contactus'><?php print $relanguage_tags["Contact us"];?></a></li>
    </ul>
    </div> <!-- nav-collapse -->
    <?php if(!$brandShown){ ?></div> <!-- container --> <?php  } ?>
  
<?php if($brandShown){ ?>  </div> <!-- End Container1 --> <?php }  ?>
    </div> <!-- navbar-inner -->
  </div>  <!-- navbar -->
 